// pages/index/transporDetails/transporDetails.js
Page({

  /**
   * 页面的初始数据
   */
  data: {
    productName:[],
    temp:[],
    isShow:null,
    titleName:[{type:'trans10',name:'汽车',isShow:null},{type:'trans20',name:'船',isShow:null},{type:'trans30',name:'火车',isShow:null},{type:'trans40',name:'飞机',isShow:null},{type:'trans50',name:'其他',isShow:null}]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    var productName = JSON.parse(decodeURIComponent(options.productName))
    var temp = JSON.parse(decodeURIComponent(options.temp))
    var productNum = JSON.parse(decodeURIComponent(options.productNum))
    this.setData({
      productName:productName.map((item,index)=>{
        return {
          name:item,
          trans10:productNum[0][index],
          trans20:productNum[1][index],
          trans30:productNum[2][index],
          trans40:productNum[3][index],
          trans50:productNum[4][index]}
      }),
    },()=>{
      that.setData({ // 拷贝一份
        productNameCopy:JSON.stringify(that.data.productName)
      })
    })
  },
  sort(e){
    var that = this;
    var type = e.currentTarget.dataset.type;
    var productName = this.data.productName;
    var isShow = this.data.isShow;
    if(isShow == null){
      productName.sort((a,b)=>b[type] - a[type]) // 升序
      isShow = true
    }else if(isShow == true){
      productName.sort((a,b)=>a[type] - b[type]) // 降序
      isShow = false
    }else if(isShow == false){ // 恢复
      productName = JSON.parse(that.data.productNameCopy);
      isShow = null
    }
    this.setData({
      productName:productName,
      type,
      isShow,
      titleName:that.data.titleName.map(item=>{
        if(item.type == type){
          return{...item,isShow,}
        }else{
          return {...item,isShow:null,}
        }
      })
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})